Subject: bug#7967: 23.2.93; keybindings should be echoed in *Message* buffer

From: Lennart Borgman <[email-masked]>
Date: Thu, 3 Feb 2011 00:48:13 +0100

On Thu, Feb 3, 2011 at 12:25 AM, Roland Winkler <[email-masked]> wrote:
> On Thu Feb 3 2011 Lennart Borgman wrote:
>> On Wed, Feb 2, 2011 at 7:09 PM, Roland Winkler <[email-masked]> wrote:
>> > Execute any command foo with a keybinding in its "long form" M-x foo.
>> > Emacs issues the message
>> >
>> >  You can run the command `foo' with ...
>> >
>> > The default is to display this message for two seconds.
>> > Then the message is gone for ever.  I'd appreciate if this
>> > messsage was echoed also in the *Message* buffer.
>>
>> I think it is a good suggestion.
>>
>> However while it can help newbies it might also disturb old users so
>> it is probably best to make it default and have an option to turn it
>> off.
>
> The experienced user can already switch off these messages
> completely by means of the variable
>
> suggest-key-bindings
>
> So all I am suggesting is really: if the keybindings are given in
> the message area (because suggest-key-bindings is non-nil), then
> these messages should also be recorded in the *Messages* buffer.
> All this is handled by the built-in function execute-extended-command,
> which is why this problem goes beyond my lisp hacking skills.

Maybe it would still be good with a separate option for recording the
suggestions in the *Messages* buffer?

I am not sure. To implement your suggestion all that is needed is to
replace message2_nolog with message2 in Fexecute_extended_command in
keyboard.c.